Validate a dashboard and return issues
POST
https://api.coralogix.com/mgmt/openapi/5/dashboards/check/v1Checks a dashboard definition or an existing dashboard by id and returns validation issues without persisting changes.
Requires the following permissions:
team-dashboards:Read
Authorizations
Authorizationrequired
API key authentication
The value is a Coralogix API key. Create a personal or team API key and assign its permissions.
Request
Body
application/json
Validate a dashboard definition or an existing dashboard by id
- oneOf
- Option 1
- Option 2
- Option 3
object
Dashboard represents the structure and configuration of a Coralogix Custom Dashboard.
dashboardId#string
Id of an existing dashboard to load and validate
Possible values: non-empty and <= 128 characters, Value must match regular expression ^[\s\S]*$
requestId#string
Optional idempotency key for the check request
Possible values: non-empty and <= 128 characters, Value must match regular expression ^[\s\S]*$
Response
application/json
Validation result containing a list of issues found in the dashboard
List of validation issues; empty when the dashboard is valid
Possible values: <= 1000